#include "StdAfx.h"
#include "GdiPlusWrapper.h"

CGdiPlusWrapper::CGdiPlusWrapper(void)
{
	m_pImage = NULL;
}

CGdiPlusWrapper::~CGdiPlusWrapper(void)
{
	if(m_pImage)
	{
		delete m_pImage;
		m_pImage = NULL;
	}
}


void CGdiPlusWrapper::SetDrawImage(LPCTSTR lpszImageFilePath)
{
	m_pImage = new Image(lpszImageFilePath);
}


void CGdiPlusWrapper::DrawingImage(CDC *pDC, int x, int y, int cx, int cy)
{
	if (NULL != m_pImage)
	{
		Graphics graphic(pDC->m_hDC);
		graphic.SetPixelOffsetMode(PixelOffsetModeHalf);
		graphic.SetInterpolationMode(InterpolationModeNearestNeighbor);
		graphic.DrawImage(m_pImage, x, y, cx, cy);
	}
}